Subject: Re: Unexpected EOF in 7.2.0

From: Sergey Matveev <[email-masked]>
Date: Sat, 10 Jul 2021 16:38:16 +0300

*** John Goerzen [2021-07-10 08:04]:
>Raspberry Pi models (which make excellent NNCP nodes) are 32-bit.
>It is *possible* to run arm64 on the pi 4, but rarely is done.

I see. Do not know why, but I thought that all of that RPi computers are arm64.
Well, 32-bit will stay for a long time indeed :-)

>probable that the first one never generated a packet over 2GB, so your
>theory could fit.

I tested previous and current latest 7.3.0 version on 32-bit machine.
Previous was really incorrectly working with big files: sometimes it can
produce negative values, sometimes is will just cut the data, but
provide perfectly valid hashes and successful tossing process on amd64
machines. I checked 7.3.0 version with big files sending, bundles and
online commands.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF